% This code computes the Dyanmic Time Warping (DTW) matrix given
% a cell array of temporal paths (hand gestures).
%
% Copyright (C) 2017  Radu Tudor Ionescu, Marius Popescu,
%                     Christopher Conly, Vassilis Athitsos
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or any
% later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%

clear java;
javaaddpath('.');

load('temporalPaths.mat','features');

numSamples = numel(features);

D = zeros(numSamples, numSamples);
for i = 1:numSamples

    fprintf('Computing distance between path %d versus rest...\n', i);
    
    for j = i:numSamples
    
        D(i,j) = DistanceAlgorithms.DTW(features{i}, features{j});
        D(j,i) = D(i,j);
    end
    
end

D
save(sprintf('DTW.mat'), 'D', '-v7.3');
