% This code plots the temporal paths provided in the demo data file.
%
% Copyright (C) 2017  Radu Tudor Ionescu, Marius Popescu,
%                     Christopher Conly, Vassilis Athitsos
%
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or any
% later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along

load('temporalPaths.mat','features');

numSamples = numel(features);

for i = 1:numSamples
    
    pathFeatures = features{i};
    
    x = pathFeatures(:,1);
    y = pathFeatures(:,2);
        
    subplot(1, numSamples, i), plot(x,y);
    xlabel(sprintf('Path %d', i));
end

fprintf('Paths 1 and 2 should be more similar to each other than to path 3.\n')